Author Topic: Insert block and ask for scale  (Read 3060 times)

0 Members and 1 Guest are viewing this topic.

like_citrus

  • Newt
  • Posts: 114
Re: Insert block and ask for scale
« Reply #15 on: June 17, 2021, 04:33:38 AM »
This looks more difficult than I thought.
If the solution is possible, is there a link to a similar example I can follow.

BIGAL

  • Swamp Rat
  • Posts: 1398
  • 40 + years of using Autocad
Re: Insert block and ask for scale
« Reply #16 on: June 17, 2021, 09:10:25 PM »
If the dim exists and you want to pick look at this, if you want to do dim and adjust straight away look at my other post using entlast.

Code: [Select]
(defun c:foo ()
(setq obj (vlax-ename->vla-object (car (entsel "\npick dimension "))))
(setq arrow (* 2.0 (vla-get-arrowheadsize obj)))
(vla-put-arrowheadsize obj arrow)
)
(c:foo)

Do repeatedly and arrows will grow.
A man who never made a mistake never made anything

like_citrus

  • Newt
  • Posts: 114
Re: Insert block and ask for scale
« Reply #17 on: June 18, 2021, 01:01:35 AM »
Sorry BIGAL I just can't understand what you mean.
The Dimension comes from a separate file which is inserted from the pull down menu.
The first command inserts it. The second command explodes it. The next part would be to scale it.
I don't know which applies in your question ... "If the dim exists" or "if you want to do dim and adjust straight away".

BIGAL

  • Swamp Rat
  • Posts: 1398
  • 40 + years of using Autocad
Re: Insert block and ask for scale
« Reply #18 on: June 18, 2021, 07:39:34 PM »
Use the one above and just pick a dim, there are so many different variables in a DIM so I picked the arrows as an example. It doubles in size but you could enter a factor.
A man who never made a mistake never made anything

like_citrus

  • Newt
  • Posts: 114
Re: Insert block and ask for scale
« Reply #19 on: June 18, 2021, 10:00:49 PM »
OK thanks but that code is for picking a dimension. The dimension in question is inserted from a pull down menu. Also the scale factor is already input prior to inserting.
Thanks anyway for looking into.

BIGAL

  • Swamp Rat
  • Posts: 1398
  • 40 + years of using Autocad
Re: Insert block and ask for scale
« Reply #20 on: June 19, 2021, 07:39:29 PM »
Add this where x is your dimscale.

Code: [Select]
(setvar 'dimscale X)
(command  "-dimstyle" "a" (entlast) "")
A man who never made a mistake never made anything

like_citrus

  • Newt
  • Posts: 114
Re: Insert block and ask for scale
« Reply #21 on: June 20, 2021, 01:24:35 AM »
This is what was required after exploding if it assists anyone.

Code: [Select]
(command "dimoverride" "dimscale" pause "" "p" "")